//
//  TransactionsWireframe.swift
//  SuperSpaManagement
//
//  Created by PHAM ANH TUAN on 3/5/21.
//  Copyright (c) 2021 ___ORGANIZATIONNAME___. All rights reserved.
//
//  This file was generated by the 🐍 VIPER generator
//

import UIKit

enum TransactionsStyle {
    case createNew(membership: Membership)
    case view
}
final class TransactionsWireframe: BaseWireframe {

    // MARK: - Private properties -

    private let storyboard = UIStoryboard(name: "Transactions", bundle: nil)

    // MARK: - Module setup -

    init(style: TransactionsStyle = .view) {
        let moduleViewController = storyboard.instantiateViewController(ofType: TransactionsViewController.self)
        super.init(viewController: moduleViewController)

        let interactor = TransactionsInteractor()
        let presenter = TransactionsPresenter(view: moduleViewController, interactor: interactor, wireframe: self)
        moduleViewController.presenter = presenter
    }

}

// MARK: - Extensions -

extension TransactionsWireframe: TransactionsWireframeInterface {
    func detachTransactions() {
        navigationController?.popViewController(animated: true)
    }
}
